Creates site_types or site_tiers based on the type = SITE_TYPE or SITE_TIER.
Permission Level: Read-Write
POST /users/site/relation/types
Operation id: SiteService_CreateSiteTypesOrTiers
Tags: SiteService
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
relationType | string | No | Enum with all possible values for the Site-Department relation type. |
values | array | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"relationType": {
"type": "string",
"description": "Enum with all possible values for the Site-Department relation type.",
"enum": [
"SITE_TYPE",
"SITE_TIER"
],
"default": "SITE_TYPE"
},
"values": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"friendlyName": {
"type": "string"
},
"description": {
"type": "string"
},
"enabled": {
"type": "boolean"
}
}
}
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
tenantId | string | No | |
siteTypes | array | No | |
siteTiers | array | No |
{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"siteTypes": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"friendlyName": {
"type": "string"
},
"description": {
"type": "string"
},
"enabled": {
"type": "boolean"
}
}
}
},
"siteTiers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string"
},
"friendlyName": {
"type": "string"
},
"description": {
"type": "string"
},
"enabled": {
"type": "boolean"
}
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}